lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'do-list/version'

Gem::Specification.new do |spec|
  spec.name          = 'do-list-v8'
  spec.version       = DoList::VERSION
  spec.authors       = ['Roan Mertens']
  spec.email         = ['roanmertens91@gmail.com']

  spec.summary       = 'This is the gem to integrate with the Do List V8 platform.'
  spec.description   = 'The V8 platform is the Do List email and SMS marketing platform. It is a place to store contacts, collect and organise data and set up automatic mail deliveries and personalised messages.
For more info checkout: https://www.dolist.com/en/solutions/dolist-v8/'
  spec.homepage      = 'https://github.com/RoanMertens/do-list-v8'
  spec.license       = 'MIT'

  # # Prevent pushing this gem to RubyGems.org. To allow pushes either set the 'allowed_push_host'
  # # to allow pushing to a single host or delete this section to allow pushing to any host.
  # if spec.respond_to?(:metadata)
  #   spec.metadata['allowed_push_host'] = "TODO: Set to 'http://mygemserver.com'"

  #   spec.metadata['homepage_uri'] = spec.homepage
  #   spec.metadata['source_code_uri'] = "TODO: Put your gem's public repo URL here."
  #   spec.metadata['changelog_uri'] = "TODO: Put your gem's CHANGELOG.md URL here."
  # else
  #   raise 'RubyGems 2.0 or newer is required to protect against ' \
  #     'public gem pushes.'
  # end

  # Specify which files should be added to the gem when it is released.
  # The `git ls-files -z` loads the files in the RubyGem that have been added into git.
  spec.files         = Dir.chdir(File.expand_path('..', __FILE__)) do
    `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(test|spec|features)/}) }
  end
  spec.bindir        = 'exe'
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ['lib']

  spec.add_development_dependency 'bundler', '~> 2.0'
  # spec.add_development_dependency 'factory_bot', '~> 5.0'
  spec.add_development_dependency 'rake', '~> 10.0'
  spec.add_development_dependency 'rspec', '~> 3.0'
  # spec.add_development_dependency 'webmock', '~> 2.1'
  spec.add_runtime_dependency 'nokogiri', '1.6'
end
